# Poco

# struct UTF32CharTraits

Library: Foundation
Package: Text
Header: Poco/UTFString.h

## Member Summary

Member Functions: assign, compare, copy, eof, eq, eq_int_type, find, length, lt, move, not_eof, to_char_type, to_int_type

## Types

### char_type

typedef UInt32 char_type;

### int_type

typedef int int_type;

### off_type

typedef std::streamoff off_type;

### pos_type

typedef u32streampos pos_type;

### state_type

typedef std::mbstate_t state_type;

### u32streampos

typedef std::fpos < std::mbstate_t > u32streampos;

## Member Functions

### assign

static void assign(
char_type & c1,
const char_type & c2
);

### assign

static char_type * assign(
char_type * s,
std::size_t n,
char_type a
);

### compare

static int compare(
const char_type * s1,
const char_type * s2,
std::size_t n
);

### copy

static char_type * copy(
char_type * s1,
const char_type * s2,
std::size_t n
);

### eof

static int_type eof();

### eq

static bool eq(
char_type c1,
char_type c2
);

### eq_int_type

static bool eq_int_type(
int_type c1,
int_type c2
);

### find

static const char_type * find(
const char_type * s,
std::size_t n,
const char_type & a
);

### length

static std::size_t length(
const char_type * s
);

### lt

static bool lt(
char_type c1,
char_type c2
);

### move

static char_type * move(
char_type * s1,
const char_type * s2,
std::size_t n
);

### not_eof

static int_type not_eof(
int_type c
);

### to_char_type

static char_type to_char_type(
int_type c
);

### to_int_type

static int_type to_int_type(
char_type c
);